Back to top

API Documentation

< Back

Kuali Research REST APIs - Subaward

Research Subaward

Closeout Types

Get Closeout Types by Key
GET/subaward/api/v1/closeout-types/(key)

Example URI

GET /subaward/api/v1/closeout-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "closeoutTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Closeout Types
GET/subaward/api/v1/closeout-types/

Example URI

GET /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Closeout Types with Filtering
GET/subaward/api/v1/closeout-types/

Example URI

GET /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

closeoutTypeCode
string (optional) 

Closeout Type. Maximum length is 22. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Closeout Types
GET/subaward/api/v1/closeout-types/

Example URI

GET /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "closeoutTypeCode",
    "description"
  ],
  "primaryKey": "closeoutTypeCode"
}

Get Blueprint API specification for Closeout Types
GET/subaward/api/v1/closeout-types/

Example URI

GET /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Closeout Types.md"
transfer-encoding: chunked

Update Closeout Types
PUT/subaward/api/v1/closeout-types/(key)

Example URI

PUT /subaward/api/v1/closeout-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "closeoutTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Closeout Types
PUT/subaward/api/v1/closeout-types/

Example URI

PUT /subaward/api/v1/closeout-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Closeout Types
PATCH/subaward/api/v1/closeout-types/(key)

Example URI

PATCH /subaward/api/v1/closeout-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "closeoutTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Closeout Types
POST/subaward/api/v1/closeout-types/

Example URI

POST /subaward/api/v1/closeout-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "closeoutTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Closeout Types
POST/subaward/api/v1/closeout-types/

Example URI

POST /subaward/api/v1/closeout-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Closeout Types by Key
DELETE/subaward/api/v1/closeout-types/(key)

Example URI

DELETE /subaward/api/v1/closeout-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Closeout Types
DELETE/subaward/api/v1/closeout-types/

Example URI

DELETE /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Closeout Types with Matching
DELETE/subaward/api/v1/closeout-types/

Example URI

DELETE /subaward/api/v1/closeout-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

closeoutTypeCode
string (optional) 

Closeout Type. Maximum length is 22. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Released Sub Award Amounts

Get Released Sub Award Amounts by Key
GET/subaward/api/v1/released-sub-award-amounts/(key)

Example URI

GET /subaward/api/v1/released-sub-award-amounts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "amountReleased": "(val)",
  "comments": "(val)",
  "createdBy": "(val)",
  "createdDate": "(val)",
  "document": "(val)",
  "documentNumber": "(val)",
  "effectiveDate": "(val)",
  "endDate": "(val)",
  "fileName": "(val)",
  "invoiceNumber": "(val)",
  "invoiceStatus": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "startDate": "(val)",
  "subAwardAmtReleasedId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Get All Released Sub Award Amounts
GET/subaward/api/v1/released-sub-award-amounts/

Example URI

GET /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Released Sub Award Amounts with Filtering
GET/subaward/api/v1/released-sub-award-amounts/

Example URI

GET /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

amountReleased
string (optional) 

Amount Released. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is .*.

createdBy
string (optional) 
createdDate
string (optional) 
document
string (optional) 

Document. Maximum length is 4000. Validating pattern is ^[\p{Graph}]*$.

documentNumber
string (optional) 
effectiveDate
string (optional) 

Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

endDate
string (optional) 

End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

invoiceNumber
string (optional) 

Invoice ID. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.

invoiceStatus
string (optional) 

Invoice Status. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

sequenceNumber
string (optional) 
startDate
string (optional) 

Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

subAwardAmtReleasedId
string (optional) 

Subaward Amt Released Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Released Sub Award Amounts
GET/subaward/api/v1/released-sub-award-amounts/

Example URI

GET /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "amountReleased",
    "comments",
    "createdBy",
    "createdDate",
    "document",
    "documentNumber",
    "effectiveDate",
    "endDate",
    "fileName",
    "invoiceNumber",
    "invoiceStatus",
    "mimeType",
    "sequenceNumber",
    "startDate",
    "subAwardAmtReleasedId",
    "subAwardCode",
    "subAwardId"
  ],
  "primaryKey": "subAwardAmtReleasedId"
}

Get Blueprint API specification for Released Sub Award Amounts
GET/subaward/api/v1/released-sub-award-amounts/

Example URI

GET /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Released Sub Award Amounts.md"
transfer-encoding: chunked

Update Released Sub Award Amounts
PUT/subaward/api/v1/released-sub-award-amounts/(key)

Example URI

PUT /subaward/api/v1/released-sub-award-amounts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "amountReleased": "(val)",
  "comments": "(val)",
  "createdBy": "(val)",
  "createdDate": "(val)",
  "document": "(val)",
  "documentNumber": "(val)",
  "effectiveDate": "(val)",
  "endDate": "(val)",
  "fileName": "(val)",
  "invoiceNumber": "(val)",
  "invoiceStatus": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "startDate": "(val)",
  "subAwardAmtReleasedId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Released Sub Award Amounts
PUT/subaward/api/v1/released-sub-award-amounts/

Example URI

PUT /subaward/api/v1/released-sub-award-amounts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Released Sub Award Amounts
PATCH/subaward/api/v1/released-sub-award-amounts/(key)

Example URI

PATCH /subaward/api/v1/released-sub-award-amounts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "amountReleased": "(val)",
  "comments": "(val)",
  "createdBy": "(val)",
  "createdDate": "(val)",
  "document": "(val)",
  "documentNumber": "(val)",
  "effectiveDate": "(val)",
  "endDate": "(val)",
  "fileName": "(val)",
  "invoiceNumber": "(val)",
  "invoiceStatus": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "startDate": "(val)",
  "subAwardAmtReleasedId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Released Sub Award Amounts
POST/subaward/api/v1/released-sub-award-amounts/

Example URI

POST /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

will create a maintenance document associated with the new amount released instead of automatically applying it to the SubAward.

route
string (required) 

will automatically submit the created maintenance document into routing if createMaintenanceDocument is true, otherwise does nothing.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "amountReleased": "(val)",
  "comments": "(val)",
  "createdBy": "(val)",
  "createdDate": "(val)",
  "document": "(val)",
  "documentNumber": "(val)",
  "effectiveDate": "(val)",
  "endDate": "(val)",
  "fileName": "(val)",
  "invoiceNumber": "(val)",
  "invoiceStatus": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "startDate": "(val)",
  "subAwardAmtReleasedId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "amountReleased": "(val)",
  "comments": "(val)",
  "createdBy": "(val)",
  "createdDate": "(val)",
  "document": "(val)",
  "documentNumber": "(val)",
  "effectiveDate": "(val)",
  "endDate": "(val)",
  "fileName": "(val)",
  "invoiceNumber": "(val)",
  "invoiceStatus": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "startDate": "(val)",
  "subAwardAmtReleasedId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Released Sub Award Amounts
POST/subaward/api/v1/released-sub-award-amounts/

Example URI

POST /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

will create a maintenance document associated with the new amount released instead of automatically applying it to the SubAward.

route
string (required) 

will automatically submit the created maintenance document into routing if createMaintenanceDocument is true, otherwise does nothing.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "amountReleased": "(val)",
    "comments": "(val)",
    "createdBy": "(val)",
    "createdDate": "(val)",
    "document": "(val)",
    "documentNumber": "(val)",
    "effectiveDate": "(val)",
    "endDate": "(val)",
    "fileName": "(val)",
    "invoiceNumber": "(val)",
    "invoiceStatus": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "startDate": "(val)",
    "subAwardAmtReleasedId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Released Sub Award Amounts by Key
DELETE/subaward/api/v1/released-sub-award-amounts/(key)

Example URI

DELETE /subaward/api/v1/released-sub-award-amounts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Released Sub Award Amounts
DELETE/subaward/api/v1/released-sub-award-amounts/

Example URI

DELETE /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Released Sub Award Amounts with Matching
DELETE/subaward/api/v1/released-sub-award-amounts/

Example URI

DELETE /subaward/api/v1/released-sub-award-amounts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

amountReleased
string (optional) 

Amount Released. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is .*.

createdBy
string (optional) 
createdDate
string (optional) 
document
string (optional) 

Document. Maximum length is 4000. Validating pattern is ^[\p{Graph}]*$.

documentNumber
string (optional) 
effectiveDate
string (optional) 

Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

endDate
string (optional) 

End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

invoiceNumber
string (optional) 

Invoice ID. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.

invoiceStatus
string (optional) 

Invoice Status. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

sequenceNumber
string (optional) 
startDate
string (optional) 

Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

subAwardAmtReleasedId
string (optional) 

Subaward Amt Released Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Sub Award Amount Infos

Get Sub Award Amount Infos by Key
GET/subaward/api/v1/sub-award-amount-infos/(key)

Example URI

GET /subaward/api/v1/sub-award-amount-infos/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "anticipatedAmount": "(val)",
  "anticipatedChange": "(val)",
  "anticipatedChangeDirect": "(val)",
  "anticipatedChangeIndirect": "(val)",
  "comments": "(val)",
  "effectiveDate": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "mimeType": "(val)",
  "modificationEffectiveDate": "(val)",
  "modificationID": "(val)",
  "modificationTypeCode": "(val)",
  "obligatedAmount": "(val)",
  "obligatedChange": "(val)",
  "obligatedChangeDirect": "(val)",
  "obligatedChangeIndirect": "(val)",
  "periodofPerformanceEndDate": "(val)",
  "periodofPerformanceStartDate": "(val)",
  "purchaseOrderNum": "(val)",
  "rate": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAmountInfoId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Get All Sub Award Amount Infos
GET/subaward/api/v1/sub-award-amount-infos/

Example URI

GET /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Sub Award Amount Infos with Filtering
GET/subaward/api/v1/sub-award-amount-infos/

Example URI

GET /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

anticipatedAmount
string (optional) 

Anticipated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChange
string (optional) 

Anticipated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChangeDirect
string (optional) 

Anticipated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChangeIndirect
string (optional) 

Anticipated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is .*.

effectiveDate
string (optional) 

Effective Date. Maximum length is 22. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

fileDataId
string (optional) 
fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

modificationEffectiveDate
string (optional) 

Modification Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

modificationID
string (optional) 

Modification ID. Maximum length is 50. Validating pattern is .*.

modificationTypeCode
string (optional) 

Modification Type. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

obligatedAmount
string (optional) 

Obligated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChange
string (optional) 

Obligated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChangeDirect
string (optional) 

Obligated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChangeIndirect
string (optional) 

Obligated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

periodofPerformanceEndDate
string (optional) 

Period of Performance End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

periodofPerformanceStartDate
string (optional) 

Period of Performance Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

purchaseOrderNum
string (optional) 

Purchase Order ID. Maximum length is 10. Validating pattern is ^[\p{Graph}\p{Space}]*$.

rate
string (optional) 

Rate. Maximum length is 5. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.

sequenceNumber
string (optional) 
subAwardAmountInfoId
string (optional) 

Subaward Amount Info Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 
subAwardId
string (optional) 

Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Sub Award Amount Infos
GET/subaward/api/v1/sub-award-amount-infos/

Example URI

GET /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "anticipatedAmount",
    "anticipatedChange",
    "anticipatedChangeDirect",
    "anticipatedChangeIndirect",
    "comments",
    "effectiveDate",
    "fileDataId",
    "fileName",
    "mimeType",
    "modificationEffectiveDate",
    "modificationID",
    "modificationTypeCode",
    "obligatedAmount",
    "obligatedChange",
    "obligatedChangeDirect",
    "obligatedChangeIndirect",
    "periodofPerformanceEndDate",
    "periodofPerformanceStartDate",
    "purchaseOrderNum",
    "rate",
    "sequenceNumber",
    "subAwardAmountInfoId",
    "subAwardCode",
    "subAwardId"
  ],
  "primaryKey": "subAwardAmountInfoId"
}

Get Blueprint API specification for Sub Award Amount Infos
GET/subaward/api/v1/sub-award-amount-infos/

Example URI

GET /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Amount Infos.md"
transfer-encoding: chunked

Update Sub Award Amount Infos
PUT/subaward/api/v1/sub-award-amount-infos/(key)

Example URI

PUT /subaward/api/v1/sub-award-amount-infos/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "anticipatedAmount": "(val)",
  "anticipatedChange": "(val)",
  "anticipatedChangeDirect": "(val)",
  "anticipatedChangeIndirect": "(val)",
  "comments": "(val)",
  "effectiveDate": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "mimeType": "(val)",
  "modificationEffectiveDate": "(val)",
  "modificationID": "(val)",
  "modificationTypeCode": "(val)",
  "obligatedAmount": "(val)",
  "obligatedChange": "(val)",
  "obligatedChangeDirect": "(val)",
  "obligatedChangeIndirect": "(val)",
  "periodofPerformanceEndDate": "(val)",
  "periodofPerformanceStartDate": "(val)",
  "purchaseOrderNum": "(val)",
  "rate": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAmountInfoId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Sub Award Amount Infos
PUT/subaward/api/v1/sub-award-amount-infos/

Example URI

PUT /subaward/api/v1/sub-award-amount-infos/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Sub Award Amount Infos
PATCH/subaward/api/v1/sub-award-amount-infos/(key)

Example URI

PATCH /subaward/api/v1/sub-award-amount-infos/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "anticipatedAmount": "(val)",
  "anticipatedChange": "(val)",
  "anticipatedChangeDirect": "(val)",
  "anticipatedChangeIndirect": "(val)",
  "comments": "(val)",
  "effectiveDate": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "mimeType": "(val)",
  "modificationEffectiveDate": "(val)",
  "modificationID": "(val)",
  "modificationTypeCode": "(val)",
  "obligatedAmount": "(val)",
  "obligatedChange": "(val)",
  "obligatedChangeDirect": "(val)",
  "obligatedChangeIndirect": "(val)",
  "periodofPerformanceEndDate": "(val)",
  "periodofPerformanceStartDate": "(val)",
  "purchaseOrderNum": "(val)",
  "rate": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAmountInfoId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Sub Award Amount Infos
POST/subaward/api/v1/sub-award-amount-infos/

Example URI

POST /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "anticipatedAmount": "(val)",
  "anticipatedChange": "(val)",
  "anticipatedChangeDirect": "(val)",
  "anticipatedChangeIndirect": "(val)",
  "comments": "(val)",
  "effectiveDate": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "mimeType": "(val)",
  "modificationEffectiveDate": "(val)",
  "modificationID": "(val)",
  "modificationTypeCode": "(val)",
  "obligatedAmount": "(val)",
  "obligatedChange": "(val)",
  "obligatedChangeDirect": "(val)",
  "obligatedChangeIndirect": "(val)",
  "periodofPerformanceEndDate": "(val)",
  "periodofPerformanceStartDate": "(val)",
  "purchaseOrderNum": "(val)",
  "rate": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAmountInfoId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Sub Award Amount Infos
POST/subaward/api/v1/sub-award-amount-infos/

Example URI

POST /subaward/api/v1/sub-award-amount-infos/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "anticipatedAmount": "(val)",
    "anticipatedChange": "(val)",
    "anticipatedChangeDirect": "(val)",
    "anticipatedChangeIndirect": "(val)",
    "comments": "(val)",
    "effectiveDate": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "mimeType": "(val)",
    "modificationEffectiveDate": "(val)",
    "modificationID": "(val)",
    "modificationTypeCode": "(val)",
    "obligatedAmount": "(val)",
    "obligatedChange": "(val)",
    "obligatedChangeDirect": "(val)",
    "obligatedChangeIndirect": "(val)",
    "periodofPerformanceEndDate": "(val)",
    "periodofPerformanceStartDate": "(val)",
    "purchaseOrderNum": "(val)",
    "rate": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAmountInfoId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Sub Award Amount Infos by Key
DELETE/subaward/api/v1/sub-award-amount-infos/(key)

Example URI

DELETE /subaward/api/v1/sub-award-amount-infos/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Sub Award Amount Infos
DELETE/subaward/api/v1/sub-award-amount-infos/

Example URI

DELETE /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Sub Award Amount Infos with Matching
DELETE/subaward/api/v1/sub-award-amount-infos/

Example URI

DELETE /subaward/api/v1/sub-award-amount-infos/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

anticipatedAmount
string (optional) 

Anticipated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChange
string (optional) 

Anticipated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChangeDirect
string (optional) 

Anticipated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

anticipatedChangeIndirect
string (optional) 

Anticipated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

comments
string (optional) 

Comments. Maximum length is 300. Validating pattern is .*.

effectiveDate
string (optional) 

Effective Date. Maximum length is 22. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

fileDataId
string (optional) 
fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

modificationEffectiveDate
string (optional) 

Modification Effective Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

modificationID
string (optional) 

Modification ID. Maximum length is 50. Validating pattern is .*.

modificationTypeCode
string (optional) 

Modification Type. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.

obligatedAmount
string (optional) 

Obligated Amount. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChange
string (optional) 

Obligated Change. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChangeDirect
string (optional) 

Obligated Change Direct. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

obligatedChangeIndirect
string (optional) 

Obligated Change F&A. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.

periodofPerformanceEndDate
string (optional) 

Period of Performance End Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

periodofPerformanceStartDate
string (optional) 

Period of Performance Start Date. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

purchaseOrderNum
string (optional) 

Purchase Order ID. Maximum length is 10. Validating pattern is ^[\p{Graph}\p{Space}]*$.

rate
string (optional) 

Rate. Maximum length is 5. Validating pattern is ^([0-9]{0,3}.[0-9]{1,2}|[0-9]{1,3})$.

sequenceNumber
string (optional) 
subAwardAmountInfoId
string (optional) 

Subaward Amount Info Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 
subAwardId
string (optional) 

Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Sub Award Approval Types

Get Sub Award Approval Types by Key
GET/subaward/api/v1/sub-award-approval-types/(key)

Example URI

GET /subaward/api/v1/sub-award-approval-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "description": "(val)",
  "subAwardApprovalTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Sub Award Approval Types
GET/subaward/api/v1/sub-award-approval-types/

Example URI

GET /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Sub Award Approval Types with Filtering
GET/subaward/api/v1/sub-award-approval-types/

Example URI

GET /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

subAwardApprovalTypeCode
string (optional) 

SubAward Approval Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Sub Award Approval Types
GET/subaward/api/v1/sub-award-approval-types/

Example URI

GET /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "description",
    "subAwardApprovalTypeCode"
  ],
  "primaryKey": "subAwardApprovalTypeCode"
}

Get Blueprint API specification for Sub Award Approval Types
GET/subaward/api/v1/sub-award-approval-types/

Example URI

GET /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Approval Types.md"
transfer-encoding: chunked

Update Sub Award Approval Types
PUT/subaward/api/v1/sub-award-approval-types/(key)

Example URI

PUT /subaward/api/v1/sub-award-approval-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "description": "(val)",
  "subAwardApprovalTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Sub Award Approval Types
PUT/subaward/api/v1/sub-award-approval-types/

Example URI

PUT /subaward/api/v1/sub-award-approval-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Sub Award Approval Types
PATCH/subaward/api/v1/sub-award-approval-types/(key)

Example URI

PATCH /subaward/api/v1/sub-award-approval-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "description": "(val)",
  "subAwardApprovalTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Sub Award Approval Types
POST/subaward/api/v1/sub-award-approval-types/

Example URI

POST /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "description": "(val)",
  "subAwardApprovalTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Sub Award Approval Types
POST/subaward/api/v1/sub-award-approval-types/

Example URI

POST /subaward/api/v1/sub-award-approval-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardApprovalTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Sub Award Approval Types by Key
DELETE/subaward/api/v1/sub-award-approval-types/(key)

Example URI

DELETE /subaward/api/v1/sub-award-approval-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Sub Award Approval Types
DELETE/subaward/api/v1/sub-award-approval-types/

Example URI

DELETE /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Sub Award Approval Types with Matching
DELETE/subaward/api/v1/sub-award-approval-types/

Example URI

DELETE /subaward/api/v1/sub-award-approval-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

subAwardApprovalTypeCode
string (optional) 

SubAward Approval Type Code. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Sub Award Attachment Types

Get Sub Award Attachment Types by Key
GET/subaward/api/v1/sub-award-attachment-types/(key)

Example URI

GET /subaward/api/v1/sub-award-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "description": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Sub Award Attachment Types
GET/subaward/api/v1/sub-award-attachment-types/

Example URI

GET /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Sub Award Attachment Types with Filtering
GET/subaward/api/v1/sub-award-attachment-types/

Example URI

GET /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

subAwardAttachmentTypeCode
string (optional) 

Subaward Attachment Type Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Sub Award Attachment Types
GET/subaward/api/v1/sub-award-attachment-types/

Example URI

GET /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "description",
    "subAwardAttachmentTypeCode"
  ],
  "primaryKey": "subAwardAttachmentTypeCode"
}

Get Blueprint API specification for Sub Award Attachment Types
GET/subaward/api/v1/sub-award-attachment-types/

Example URI

GET /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Attachment Types.md"
transfer-encoding: chunked

Update Sub Award Attachment Types
PUT/subaward/api/v1/sub-award-attachment-types/(key)

Example URI

PUT /subaward/api/v1/sub-award-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "description": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Sub Award Attachment Types
PUT/subaward/api/v1/sub-award-attachment-types/

Example URI

PUT /subaward/api/v1/sub-award-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Sub Award Attachment Types
PATCH/subaward/api/v1/sub-award-attachment-types/(key)

Example URI

PATCH /subaward/api/v1/sub-award-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "description": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Sub Award Attachment Types
POST/subaward/api/v1/sub-award-attachment-types/

Example URI

POST /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "description": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Sub Award Attachment Types
POST/subaward/api/v1/sub-award-attachment-types/

Example URI

POST /subaward/api/v1/sub-award-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Sub Award Attachment Types by Key
DELETE/subaward/api/v1/sub-award-attachment-types/(key)

Example URI

DELETE /subaward/api/v1/sub-award-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Sub Award Attachment Types
DELETE/subaward/api/v1/sub-award-attachment-types/

Example URI

DELETE /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Sub Award Attachment Types with Matching
DELETE/subaward/api/v1/sub-award-attachment-types/

Example URI

DELETE /subaward/api/v1/sub-award-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

subAwardAttachmentTypeCode
string (optional) 

Subaward Attachment Type Code. Maximum length is 3. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Sub Award Attachments

Get Sub Award Attachments by Key
GET/subaward/api/v1/sub-award-attachments/(key)

Example URI

GET /subaward/api/v1/sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachmentId": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Get All Sub Award Attachments
GET/subaward/api/v1/sub-award-attachments/

Example URI

GET /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Sub Award Attachments with Filtering
GET/subaward/api/v1/sub-award-attachments/

Example URI

GET /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

attachmentId
string (optional) 

Attachment ID. Maximum length is 15. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

documentId
string (optional) 

Document Id. Maximum length is 4. Validating pattern is ^[0-9]*$.

documentStatusCode
string (optional) 
fileDataId
string (optional) 
fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

sequenceNumber
string (optional) 
subAwardAttachmentTypeCode
string (optional) 

Attachment Type. Maximum length is 3. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardId
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Sub Award Attachments
GET/subaward/api/v1/sub-award-attachments/

Example URI

GET /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachmentId",
    "description",
    "documentId",
    "documentStatusCode",
    "fileDataId",
    "fileName",
    "lastUpdateTimestamp",
    "lastUpdateUser",
    "mimeType",
    "sequenceNumber",
    "subAwardAttachmentTypeCode",
    "subAwardCode",
    "subAwardId"
  ],
  "primaryKey": "attachmentId"
}

Get Blueprint API specification for Sub Award Attachments
GET/subaward/api/v1/sub-award-attachments/

Example URI

GET /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Attachments.md"
transfer-encoding: chunked

Update Sub Award Attachments
PUT/subaward/api/v1/sub-award-attachments/(key)

Example URI

PUT /subaward/api/v1/sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentId": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Sub Award Attachments
PUT/subaward/api/v1/sub-award-attachments/

Example URI

PUT /subaward/api/v1/sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Sub Award Attachments
PATCH/subaward/api/v1/sub-award-attachments/(key)

Example URI

PATCH /subaward/api/v1/sub-award-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "attachmentId": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Sub Award Attachments
POST/subaward/api/v1/sub-award-attachments/

Example URI

POST /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "attachmentId": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "documentStatusCode": "(val)",
  "fileDataId": "(val)",
  "fileName": "(val)",
  "lastUpdateTimestamp": "(val)",
  "lastUpdateUser": "(val)",
  "mimeType": "(val)",
  "sequenceNumber": "(val)",
  "subAwardAttachmentTypeCode": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Sub Award Attachments
POST/subaward/api/v1/sub-award-attachments/

Example URI

POST /subaward/api/v1/sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "documentStatusCode": "(val)",
    "fileDataId": "(val)",
    "fileName": "(val)",
    "lastUpdateTimestamp": "(val)",
    "lastUpdateUser": "(val)",
    "mimeType": "(val)",
    "sequenceNumber": "(val)",
    "subAwardAttachmentTypeCode": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Sub Award Attachments by Key
DELETE/subaward/api/v1/sub-award-attachments/(key)

Example URI

DELETE /subaward/api/v1/sub-award-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Sub Award Attachments
DELETE/subaward/api/v1/sub-award-attachments/

Example URI

DELETE /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Sub Award Attachments with Matching
DELETE/subaward/api/v1/sub-award-attachments/

Example URI

DELETE /subaward/api/v1/sub-award-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachmentId
string (optional) 

Attachment ID. Maximum length is 15. Validating pattern is ^[0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

documentId
string (optional) 

Document Id. Maximum length is 4. Validating pattern is ^[0-9]*$.

documentStatusCode
string (optional) 
fileDataId
string (optional) 
fileName
string (optional) 

File Name. Maximum length is 150. Validating pattern is ^[\p{Graph}\p{Space}]*$.

lastUpdateTimestamp
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastUpdateUser
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

mimeType
string (optional) 

Mime Type. Maximum length is 4000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

sequenceNumber
string (optional) 
subAwardAttachmentTypeCode
string (optional) 

Attachment Type. Maximum length is 3. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardId
string (optional) 

Subaward ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Sub Award Closeouts

Get Sub Award Closeouts by Key
GET/subaward/api/v1/sub-award-closeouts/(key)

Example URI

GET /subaward/api/v1/sub-award-closeouts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "closeoutNumber": "(val)",
  "closeoutTypeCode": "(val)",
  "comments": "(val)",
  "dateFollowup": "(val)",
  "dateReceived": "(val)",
  "dateRequested": "(val)",
  "sequenceNumber": "(val)",
  "subAwardCloseoutId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Get All Sub Award Closeouts
GET/subaward/api/v1/sub-award-closeouts/

Example URI

GET /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Sub Award Closeouts with Filtering
GET/subaward/api/v1/sub-award-closeouts/

Example URI

GET /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

closeoutNumber
string (optional) 

Closeout Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

closeoutTypeCode
string (optional) 

Closeout Type Code. Maximum length is 22. Validating pattern is ^[\p{Graph}]*$.

comments
string (optional) 

Comments. Maximum length is 4000. Validating pattern is .*.

dateFollowup
string (optional) 

Date Followup. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

dateReceived
string (optional) 

Date Received. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

dateRequested
string (optional) 

Date Requested. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

sequenceNumber
string (optional) 
subAwardCloseoutId
string (optional) 

Subaward Closeout Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

subAwardCode
string (optional) 
subAwardId
string (optional) 

Subaward Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Sub Award Closeouts
GET/subaward/api/v1/sub-award-closeouts/

Example URI

GET /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "closeoutNumber",
    "closeoutTypeCode",
    "comments",
    "dateFollowup",
    "dateReceived",
    "dateRequested",
    "sequenceNumber",
    "subAwardCloseoutId",
    "subAwardCode",
    "subAwardId"
  ],
  "primaryKey": "subAwardCloseoutId"
}

Get Blueprint API specification for Sub Award Closeouts
GET/subaward/api/v1/sub-award-closeouts/

Example URI

GET /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Sub Award Closeouts.md"
transfer-encoding: chunked

Update Sub Award Closeouts
PUT/subaward/api/v1/sub-award-closeouts/(key)

Example URI

PUT /subaward/api/v1/sub-award-closeouts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "closeoutNumber": "(val)",
  "closeoutTypeCode": "(val)",
  "comments": "(val)",
  "dateFollowup": "(val)",
  "dateReceived": "(val)",
  "dateRequested": "(val)",
  "sequenceNumber": "(val)",
  "subAwardCloseoutId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Sub Award Closeouts
PUT/subaward/api/v1/sub-award-closeouts/

Example URI

PUT /subaward/api/v1/sub-award-closeouts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Sub Award Closeouts
PATCH/subaward/api/v1/sub-award-closeouts/(key)

Example URI

PATCH /subaward/api/v1/sub-award-closeouts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "closeoutNumber": "(val)",
  "closeoutTypeCode": "(val)",
  "comments": "(val)",
  "dateFollowup": "(val)",
  "dateReceived": "(val)",
  "dateRequested": "(val)",
  "sequenceNumber": "(val)",
  "subAwardCloseoutId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Sub Award Closeouts
POST/subaward/api/v1/sub-award-closeouts/

Example URI

POST /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "closeoutNumber": "(val)",
  "closeoutTypeCode": "(val)",
  "comments": "(val)",
  "dateFollowup": "(val)",
  "dateReceived": "(val)",
  "dateRequested": "(val)",
  "sequenceNumber": "(val)",
  "subAwardCloseoutId": "(val)",
  "subAwardCode": "(val)",
  "subAwardId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Sub Award Closeouts
POST/subaward/api/v1/sub-award-closeouts/

Example URI

POST /subaward/api/v1/sub-award-closeouts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "closeoutNumber": "(val)",
    "closeoutTypeCode": "(val)",
    "comments": "(val)",
    "dateFollowup": "(val)",
    "dateReceived": "(val)",
    "dateRequested": "(val)",
    "sequenceNumber": "(val)",
    "subAwardCloseoutId": "(val)",
    "subAwardCode": "(val)",
    "subAwardId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Sub Award Closeouts by Key
DELETE/subaward/api/v1/sub-award-closeouts/(key)

Example URI

DELETE /subaward/api/v1/sub-award-closeouts/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Sub Award Closeouts
DELETE/subaward/api/v1/sub-award-closeouts/

Example URI

DELETE /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Sub Award Closeouts with Matching
DELETE/subaward/api/v1/sub-award-closeouts/

Example URI

DELETE /subaward/api/v1/sub-award-closeouts/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

closeoutNumber
string (optional) 

Closeout Number. Maximum length is 22. Validating pattern is ^[0-9]*$.

closeoutTypeCode
string (optional) 

Closeout Type Code. Maximum length is 22. Validating pattern is ^[\p{Graph}]*$.

comments
string (optional) 

Comments. Maximum length is 4000. Validating pattern is .*.

dateFollowup
string (optional) 

[...]
